{% filter indent(width=4, first=False) %}

{% for outidx in range(nb_out) -%}
{{out_cdtype[outidx]}}* {{out_name[outidx]}} = ({{out_cdtype[outidx]}}*) mem + {{out_name[outidx]|upper}}_OFFSET;
{% endfor %}
{% endfilter %}
